# \Thelia\ModelCustomerQuery

Skeleton subclass for performing query and update operations on the 'customer' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByRef()
filterByTitleId()
filterByFirstname()
filterByLastname()
filterByEmail()
filterByPassword()
filterByAlgo()
filterByReseller()
filterByLang()
filterBySponsor()
filterByDiscount()
filterByCreatedAt()
filterByUpdatedAt()
filterByCustomerTitle()
joinCustomerTitle()
useCustomerTitleQuery()
filterByAddress()
joinAddress()
useAddressQuery()
filterByOrder()
joinOrder()
useOrderQuery()
filterByCart()
joinCart()
useCartQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
orderById()
orderByRef()
orderByTitleId()
orderByFirstname()
orderByLastname()
orderByEmail()
orderByPassword()
orderByAlgo()
orderByReseller()
orderByLang()
orderBySponsor()
orderByDiscount()
orderByCreatedAt()
orderByUpdatedAt()
groupById()
groupByRef()
groupByTitleId()
groupByFirstname()
groupByLastname()
groupByEmail()
groupByPassword()
groupByAlgo()
groupByReseller()
groupByLang()
groupBySponsor()
groupByDiscount()
groupByCreatedAt()
groupByUpdatedAt()
leftJoin()
rightJoin()
innerJoin()
leftJoinCustomerTitle()
rightJoinCustomerTitle()
innerJoinCustomerTitle()
leftJoinAddress()
rightJoinAddress()
innerJoinAddress()
leftJoinOrder()
rightJoinOrder()
innerJoinOrder()
leftJoinCart()
rightJoinCart()
innerJoinCart()
findOne()
findOneOrCreate()
findOneById()
findOneByRef()
findOneByTitleId()
findOneByFirstname()
findOneByLastname()
findOneByEmail()
findOneByPassword()
findOneByAlgo()
findOneByReseller()
findOneByLang()
findOneBySponsor()
findOneByDiscount()
findOneByCreatedAt()
findOneByUpdatedAt()
findById()
findByRef()
findByTitleId()
findByFirstname()
findByLastname()
findByEmail()
findByPassword()
findByAlgo()
findByReseller()
findByLang()
findBySponsor()
findByDiscount()
findByCreatedAt()
findByUpdatedAt()
No public properties found
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/CustomerQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\CustomerQuery
  \Thelia\Model\CustomerQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\CustomerQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\CustomerQuery

Returns a new ChildCustomerQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\CustomerQuery

#

static

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Customer|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Customer|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\CustomerQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\CustomerQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByRef()

    filterByRef(string $ref, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the ref column

Example usage: `$query->filterByRef('fooValue'); // WHERE ref = 'fooValue' $query->filterByRef('%fooValue%'); // WHERE ref LIKE '%fooValue%'`

#### Parameters

string | $ref | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByTitleId()

    filterByTitleId(mixed $titleId, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the title_id column

Example usage: `$query->filterByTitleId(1234); // WHERE title_id = 1234 $query->filterByTitleId(array(12, 34)); // WHERE title_id IN (12, 34) $query->filterByTitleId(array('min' => 12)); // WHERE title_id > 12`

#### Parameters

mixed | $titleId | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery
See also

## Tags

None found

### filterByFirstname()

    filterByFirstname(string $firstname, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the firstname column

Example usage: `$query->filterByFirstname('fooValue'); // WHERE firstname = 'fooValue' $query->filterByFirstname('%fooValue%'); // WHERE firstname LIKE '%fooValue%'`

#### Parameters

string | $firstname | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByLastname()

    filterByLastname(string $lastname, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the lastname column

Example usage: `$query->filterByLastname('fooValue'); // WHERE lastname = 'fooValue' $query->filterByLastname('%fooValue%'); // WHERE lastname LIKE '%fooValue%'`

#### Parameters

string | $lastname | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByEmail()

    filterByEmail(string $email, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the email column

Example usage: `$query->filterByEmail('fooValue'); // WHERE email = 'fooValue' $query->filterByEmail('%fooValue%'); // WHERE email LIKE '%fooValue%'`

#### Parameters

string | $email | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByPassword()

    filterByPassword(string $password, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the password column

Example usage: `$query->filterByPassword('fooValue'); // WHERE password = 'fooValue' $query->filterByPassword('%fooValue%'); // WHERE password LIKE '%fooValue%'`

#### Parameters

string | $password | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByAlgo()

    filterByAlgo(string $algo, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the algo column

Example usage: `$query->filterByAlgo('fooValue'); // WHERE algo = 'fooValue' $query->filterByAlgo('%fooValue%'); // WHERE algo LIKE '%fooValue%'`

#### Parameters

string | $algo | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByReseller()

    filterByReseller(mixed $reseller, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the reseller column

Example usage: `$query->filterByReseller(1234); // WHERE reseller = 1234 $query->filterByReseller(array(12, 34)); // WHERE reseller IN (12, 34) $query->filterByReseller(array('min' => 12)); // WHERE reseller > 12`

#### Parameters

mixed | $reseller | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByLang()

    filterByLang(string $lang, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the lang column

Example usage: `$query->filterByLang('fooValue'); // WHERE lang = 'fooValue' $query->filterByLang('%fooValue%'); // WHERE lang LIKE '%fooValue%'`

#### Parameters

string | $lang | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterBySponsor()

    filterBySponsor(string $sponsor, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the sponsor column

Example usage: `$query->filterBySponsor('fooValue'); // WHERE sponsor = 'fooValue' $query->filterBySponsor('%fooValue%'); // WHERE sponsor LIKE '%fooValue%'`

#### Parameters

string | $sponsor | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByDiscount()

    filterByDiscount(mixed $discount, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the discount column

Example usage: `$query->filterByDiscount(1234); // WHERE discount = 1234 $query->filterByDiscount(array(12, 34)); // WHERE discount IN (12, 34) $query->filterByDiscount(array('min' => 12)); // WHERE discount > 12`

#### Parameters

mixed | $discount | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### filterByCustomerTitle()

    filterByCustomerTitle(\Thelia\Model\CustomerTitle|\Propel\Runtime\Collection\ObjectCollection $customerTitle, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query by a related \Thelia\Model\CustomerTitle object

#### Parameters

\Thelia\Model\CustomerTitle|\Propel\Runtime\Collection\ObjectCollection | $customerTitle | The related object(s) to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### joinCustomerTitle()

    joinCustomerTitle(string $relationAlias, string $joinType) : \Thelia\Model\CustomerQuery

Adds a JOIN clause to the query using the CustomerTitle relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### useCustomerTitleQuery()

    useCustomerTitleQuery(string $relationAlias, string $joinType) : \Thelia\Model\CustomerTitleQuery

Use the CustomerTitle relation CustomerTitle object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CustomerTitleQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CustomerQuery
See also

## Tags

None found

### filterByAddress()

    filterByAddress(\Thelia\Model\Address|\Propel\Runtime\Collection\ObjectCollection $address, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query by a related \Thelia\Model\Address object

#### Parameters

\Thelia\Model\Address|\Propel\Runtime\Collection\ObjectCollection | $address | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### joinAddress()

    joinAddress(string $relationAlias, string $joinType) : \Thelia\Model\CustomerQuery

Adds a JOIN clause to the query using the Address relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### useAddressQuery()

    useAddressQuery(string $relationAlias, string $joinType) : \Thelia\Model\AddressQuery

Use the Address relation Address object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\AddressQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CustomerQuery
See also

## Tags

None found

### filterByOrder()

    filterByOrder(\Thelia\Model\Order|\Propel\Runtime\Collection\ObjectCollection $order, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query by a related \Thelia\Model\Order object

#### Parameters

\Thelia\Model\Order|\Propel\Runtime\Collection\ObjectCollection | $order | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### joinOrder()

    joinOrder(string $relationAlias, string $joinType) : \Thelia\Model\CustomerQuery

Adds a JOIN clause to the query using the Order relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### useOrderQuery()

    useOrderQuery(string $relationAlias, string $joinType) : \Thelia\Model\OrderQuery

Use the Order relation Order object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\OrderQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CustomerQuery
See also

## Tags

None found

### filterByCart()

    filterByCart(\Thelia\Model\Cart|\Propel\Runtime\Collection\ObjectCollection $cart, string $comparison) : \Thelia\Model\CustomerQuery

Filter the query by a related \Thelia\Model\Cart object

#### Parameters

\Thelia\Model\Cart|\Propel\Runtime\Collection\ObjectCollection | $cart | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### joinCart()

    joinCart(string $relationAlias, string $joinType) : \Thelia\Model\CustomerQuery

Adds a JOIN clause to the query using the Cart relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### useCartQuery()

    useCartQuery(string $relationAlias, string $joinType) : \Thelia\Model\CartQuery

Use the Cart relation Cart object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\CartQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\CustomerQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\Customer $customer) : \Thelia\Model\CustomerQuery

Exclude object from result

#### Parameters

\Thelia\Model\Customer | $customer | Object to remove from the list of results

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the customer table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildCustomer or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\CustomerQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\CustomerQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\CustomerQuery

Order by update date desc

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\CustomerQuery

Order by update date asc

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\CustomerQuery

Order by create date desc

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\CustomerQuery

Order by create date asc

#### Returns

\Thelia\Model\CustomerQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\CustomerQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByRef()

    orderByRef($order =) : \Thelia\Model\CustomerQuery

Order by the ref column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByTitleId()

    orderByTitleId($order =) : \Thelia\Model\CustomerQuery

Order by the title_id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByFirstname()

    orderByFirstname($order =) : \Thelia\Model\CustomerQuery

Order by the firstname column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByLastname()

    orderByLastname($order =) : \Thelia\Model\CustomerQuery

Order by the lastname column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByEmail()

    orderByEmail($order =) : \Thelia\Model\CustomerQuery

Order by the email column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByPassword()

    orderByPassword($order =) : \Thelia\Model\CustomerQuery

Order by the password column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByAlgo()

    orderByAlgo($order =) : \Thelia\Model\CustomerQuery

Order by the algo column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByReseller()

    orderByReseller($order =) : \Thelia\Model\CustomerQuery

Order by the reseller column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByLang()

    orderByLang($order =) : \Thelia\Model\CustomerQuery

Order by the lang column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderBySponsor()

    orderBySponsor($order =) : \Thelia\Model\CustomerQuery

Order by the sponsor column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByDiscount()

    orderByDiscount($order =) : \Thelia\Model\CustomerQuery

Order by the discount column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\CustomerQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\CustomerQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\CustomerQuery

Group by the id column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByRef()

    groupByRef() : \Thelia\Model\CustomerQuery

Group by the ref column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByTitleId()

    groupByTitleId() : \Thelia\Model\CustomerQuery

Group by the title_id column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByFirstname()

    groupByFirstname() : \Thelia\Model\CustomerQuery

Group by the firstname column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByLastname()

    groupByLastname() : \Thelia\Model\CustomerQuery

Group by the lastname column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByEmail()

    groupByEmail() : \Thelia\Model\CustomerQuery

Group by the email column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByPassword()

    groupByPassword() : \Thelia\Model\CustomerQuery

Group by the password column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByAlgo()

    groupByAlgo() : \Thelia\Model\CustomerQuery

Group by the algo column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByReseller()

    groupByReseller() : \Thelia\Model\CustomerQuery

Group by the reseller column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByLang()

    groupByLang() : \Thelia\Model\CustomerQuery

Group by the lang column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupBySponsor()

    groupBySponsor() : \Thelia\Model\CustomerQuery

Group by the sponsor column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByDiscount()

    groupByDiscount() : \Thelia\Model\CustomerQuery

Group by the discount column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\CustomerQuery

Group by the created_at column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\CustomerQuery

Group by the updated_at column

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\CustomerQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\CustomerQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\CustomerQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### leftJoinCustomerTitle()

    leftJoinCustomerTitle($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a LEFT JOIN clause to the query using the CustomerTitle relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### rightJoinCustomerTitle()

    rightJoinCustomerTitle($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a RIGHT JOIN clause to the query using the CustomerTitle relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### innerJoinCustomerTitle()

    innerJoinCustomerTitle($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a INNER JOIN clause to the query using the CustomerTitle relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### leftJoinAddress()

    leftJoinAddress($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a LEFT JOIN clause to the query using the Address relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### rightJoinAddress()

    rightJoinAddress($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a RIGHT JOIN clause to the query using the Address relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### innerJoinAddress()

    innerJoinAddress($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a INNER JOIN clause to the query using the Address relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### leftJoinOrder()

    leftJoinOrder($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a LEFT JOIN clause to the query using the Order relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### rightJoinOrder()

    rightJoinOrder($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a RIGHT JOIN clause to the query using the Order relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### innerJoinOrder()

    innerJoinOrder($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a INNER JOIN clause to the query using the Order relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### leftJoinCart()

    leftJoinCart($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a LEFT JOIN clause to the query using the Cart relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### rightJoinCart()

    rightJoinCart($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a RIGHT JOIN clause to the query using the Cart relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### innerJoinCart()

    innerJoinCart($relationAlias =) : \Thelia\Model\CustomerQuery

Adds a INNER JOIN clause to the query using the Cart relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\CustomerQuery

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Customer

Return the first ChildCustomer matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Customer

Return the first ChildCustomer matching the query, or a new ChildCustomer object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByRef()

    findOneByRef(string $ref) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the ref column

#### Parameters

string | $ref |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByTitleId()

    findOneByTitleId(int $title_id) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the title_id column

#### Parameters

int | $title_id |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByFirstname()

    findOneByFirstname(string $firstname) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the firstname column

#### Parameters

string | $firstname |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByLastname()

    findOneByLastname(string $lastname) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the lastname column

#### Parameters

string | $lastname |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByEmail()

    findOneByEmail(string $email) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the email column

#### Parameters

string | $email |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByPassword()

    findOneByPassword(string $password) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the password column

#### Parameters

string | $password |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByAlgo()

    findOneByAlgo(string $algo) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the algo column

#### Parameters

string | $algo |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByReseller()

    findOneByReseller(int $reseller) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the reseller column

#### Parameters

int | $reseller |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByLang()

    findOneByLang(string $lang) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the lang column

#### Parameters

string | $lang |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneBySponsor()

    findOneBySponsor(string $sponsor) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the sponsor column

#### Parameters

string | $sponsor |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByDiscount()

    findOneByDiscount(double $discount) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the discount column

#### Parameters

double | $discount |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Customer

Return the first ChildCustomer filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Customer

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildCustomer objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByRef()

    findByRef(string $ref) : array

Return ChildCustomer objects filtered by the ref column

#### Parameters

string | $ref |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByTitleId()

    findByTitleId(int $title_id) : array

Return ChildCustomer objects filtered by the title_id column

#### Parameters

int | $title_id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByFirstname()

    findByFirstname(string $firstname) : array

Return ChildCustomer objects filtered by the firstname column

#### Parameters

string | $firstname |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByLastname()

    findByLastname(string $lastname) : array

Return ChildCustomer objects filtered by the lastname column

#### Parameters

string | $lastname |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByEmail()

    findByEmail(string $email) : array

Return ChildCustomer objects filtered by the email column

#### Parameters

string | $email |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByPassword()

    findByPassword(string $password) : array

Return ChildCustomer objects filtered by the password column

#### Parameters

string | $password |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByAlgo()

    findByAlgo(string $algo) : array

Return ChildCustomer objects filtered by the algo column

#### Parameters

string | $algo |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByReseller()

    findByReseller(int $reseller) : array

Return ChildCustomer objects filtered by the reseller column

#### Parameters

int | $reseller |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByLang()

    findByLang(string $lang) : array

Return ChildCustomer objects filtered by the lang column

#### Parameters

string | $lang |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findBySponsor()

    findBySponsor(string $sponsor) : array

Return ChildCustomer objects filtered by the sponsor column

#### Parameters

string | $sponsor |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByDiscount()

    findByDiscount(double $discount) : array

Return ChildCustomer objects filtered by the discount column

#### Parameters

double | $discount |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildCustomer objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildCustomer objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Customer

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Customer —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Customer|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Customer|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\CustomerQuery

## Tags

None found

### CustomerQuery.php